[Rainmeter]
Author=Kriogen
Update=100

;MEASURES_________________________________________

;Metadata added by RainBrowser
;http://rainmeter.net/RainWiki/index.php?title=Rainmeter_101#.5BMetadata.5D

[Metadata]
Name=
Config=
Description=
Instructions=
Version=
Tags=
License=
Variant=
Preview=

;End of added Metadata

;winamp__________________________________________________________________

[MeasureCommand]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
Substitute="[Paused]":""," - Winamp":"","[Stopped]":""

[MeasureTrack]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
Substitute="[Paused]":""," - Winamp":"","[Stopped]":""

[MeasureProgressCurrent]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
WindowMessage=1024 0 105

[MeasureProgressFull]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
WindowMessage=1024 1 105

[MeasureProgress]
Measure=Calc
Formula=(MeasureProgressCurrent<=0)?0:(MeasureProgressCurrent/(MeasureProgressFull*1000+1)) 

[MeasureProgress1]
Measure=Calc
Formula=MeasureProgress
MinValue=0.3

[MeasureProgress2]
Measure=Calc
Formula=MeasureProgress
MinValue=0.25

[MeasureRing]
Measure=Calc
Formula=MeasureProgress<0.25 ? MeasureProgress : 0.25

[MeasureRing1]
Measure=Calc
Formula=MeasureProgress<0.3 ? 0 : (MeasureProgress-0.3)/70*15

[MeasureRing2]
Measure=Calc
Formula=0.25

[MeasureRing3]
Measure=Calc
Formula=0.50

[MeasureRing4]
Measure=Calc
Formula=0.15

;METERS_________________________________________

[MeterBackGround]
Meter=IMAGE
X=0
Y=0
W=333
H=120
SolidColor=10,10,10, 1

[MeterLine]
Meter=IMAGE
X=0
Y=61
W=279
H=2
SolidColor=255, 255, 255, 50

[MeterLine2]
Meter=IMAGE
X=20
Y=56
W=3
H=2
SolidColor=255, 255, 255, 50

[MeterLine3]
Meter=IMAGE
X=25
Y=53
W=2
H=5
SolidColor=255, 255, 255, 50

[MeterLine4]
Meter=IMAGE
X=27
Y=56
W=46
H=2
SolidColor=255, 255, 255, 50

[MeterLine6]
Meter=IMAGE
X=4
Y=63
W=275
H=3
SolidColor=255, 255, 255, 50

;iTunesInfo_______

[MeterTrack]
Meter=STRING
MeasureName=MeasureTrack
X=75
Y=46
W=205
H=13
FontColor=255, 255, 255, 200
StringStyle=Bold
FontSize=9
StringAlign=Left
FontFace=Century Gothic
ToolTipText=%1
AntiAlias=1
ClipString=1
Hidden=0

[MeterProgressRing1]
Meter=ROUNDLINE
MeasureName=MeasureRing
X=318
Y=65
LineWidth=3.0
LineLength=38
LineStart=34
StartAngle=300.00
RotationAngle=-6.28
AntiAlias=1
LineColor=255, 255, 255, 100
Solid=1

[MeterProgressRing2]
Meter=ROUNDLINE
MeasureName=MeasureRing1
X=318
Y=65
LineWidth=5.0
LineLength=38
LineStart=34
StartAngle=9.20
RotationAngle=-6.28
AntiAlias=1
LineColor=255, 255, 255, 100
Solid=1

;RING BACK
[MeterRoundline]
Meter=ROUNDLINE
MeasureName=MeasureRing2
X=318
Y=65
LineWidth=5.0
LineLength=40
LineStart=34
StartAngle=300.00
RotationAngle=-6.28
AntiAlias=1
LineColor=255, 255, 255, 50
Solid=1

;RING BACK 2
[MeterRoundline2]
Meter=ROUNDLINE
MeasureName=MeasureRing3
X=318
Y=65
LineWidth=5.0
LineLength=30
LineStart=22
StartAngle=300.00
RotationAngle=-6.28
AntiAlias=1
LineColor=255, 255, 255, 50
Solid=1

;RING BACK 3
[MeterRoundline3]
Meter=ROUNDLINE
MeasureName=MeasureRing4
X=318
Y=65
LineWidth=5.0
LineLength=40
LineStart=34
StartAngle=9.20
RotationAngle=-6.28
AntiAlias=1
LineColor=255, 255, 255, 50
Solid=1

[MeterProgressBar]
MeasureName=MeasureProgress2
Meter=BAR
X=4
Y=63
W=277
H=3
BarOrientation=HORIZONTAL
BarColor=255, 255, 255, 100
Flip=1

;Buttons______________________________________

[MeterPrev]
Meter=STRING
X=195
Y=68
FontColor=255,255,255,50
StringStyle=BOLD
FontSize=15
StringAlign=LEFT
FontFace=Webdings
AntiAlias=1
Text="7"
LeftMouseDownAction=!execute [!RainmeterPluginBang "MeasureCommand SendMessage 273 40044 0"]

[MeterPause]
Meter=STRING
X=18r
Y=r
FontColor=255,255,255,50
StringStyle=Bold
FontSize=15
StringAlign=LEFT
FontFace=Webdings
AntiAlias=1
Text=";"
LeftMouseUpAction=!execute [!RainmeterPluginBang "MeasureCommand SendMessage 273 40046 0"]

[MeterPlay]
Meter=STRING
X=18r
Y=r
FontColor=255,255,255,50
StringStyle=BOLD
FontSize=15
StringAlign=LEFT
FontFace=Webdings
AntiAlias=1
Text="4"
LeftMouseDownAction=!execute [!RainmeterPluginBang "MeasureCommand SendMessage 273 40045 0"]

[MeterNext]
Meter=STRING
X=18r
Y=r
FontColor=255,255,255,50
StringStyle=BOLD
FontSize=15
StringAlign=LEFT
FontFace=Webdings
AntiAlias=1
Text="8"
LeftMouseDownAction=!execute [!RainmeterPluginBang "MeasureCommand SendMessage 273 40048 0"]

;Show Winamp Button______________________________________

[MeterShowiTunes]
Meter=IMAGE
X=303
Y=51
W=30
H=30
AntiAlias=1
ImageName=pwr.png
ToolTipText="Show/Hide Winamp"
LeftMouseDownAction=!execute [!RainmeterPluginBang "MeasureCommand SendMessage 273 40258 0"]